Get workflow run
GET
/v1/workspaces/{workspace_id}/workflows/{workflow_id}/runs/{run_id}
curl --request GET \ --url https://api.app.layer.ai/api/v1/workspaces/:workspace_id/workflows/:workflow_id/runs/:run_id \ --header 'Authorization: Bearer <token>'import requests
url = "https://api.app.layer.ai/api/v1/workspaces/:workspace_id/workflows/:workflow_id/runs/:run_id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.app.layer.ai/api/v1/workspaces/:workspace_id/workflows/:workflow_id/runs/:run_id';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.app.layer.ai/api/v1/workspaces/:workspace_id/workflows/:workflow_id/runs/:run_id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}
var client = new RestClient("https://api.app.layer.ai/api/v1/workspaces/:workspace_id/workflows/:workflow_id/runs/:run_id");var request = new RestRequest("", Method.Get);request.AddHeader("Authorization", "Bearer <token>");var response = client.Execute(request);Get the status and results of a workflow run.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
Workspace Id
string format: uuid
workflow_id
required
Workflow Id
string format: uuid
run_id
required
Run Id
string format: uuid
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
GetWorkflowRunOutput
object
run_id
required
Run Id
Unique identifier for this workflow run.
string format: uuid
status
required
BlueprintRunStatus
Current status: pending, running, success, failure, or cancelled.
string
steps
Steps
Status of each step composing the workflow run.
Array<object>
GetWorkflowRunStepoutputs
Any of:
Array<object>
WorkflowRunAssetobject
object_id
required
Object Id
Unique identifier of the generated object.
string format: uuid
object_type
required
LibraryObjectType
Type of generated object: file or asset.
string
url
required
Url
Download URL for the asset.
string
content_type
required
Content Type
MIME type, e.g. image/png or video/mp4.
string
null
Example
{ "status": "pending", "steps": [], "outputs": [ { "object_type": "directory" } ]}Unauthenticated — missing or invalid Bearer token.
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{ "type": "https://api.layer.ai/errors/ERROR_CODE", "title": "Error Title", "status": 400, "detail": "Human-readable description."}Forbidden — insufficient permissions.
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{ "type": "https://api.layer.ai/errors/ERROR_CODE", "title": "Error Title", "status": 400, "detail": "Human-readable description."}Resource not found.
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{ "type": "https://api.layer.ai/errors/ERROR_CODE", "title": "Error Title", "status": 400, "detail": "Human-readable description."}Invalid input parameters.
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{ "type": "https://api.layer.ai/errors/ERROR_CODE", "title": "Error Title", "status": 400, "detail": "Human-readable description."}Rate limited — too many concurrent requests.
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{ "type": "https://api.layer.ai/errors/ERROR_CODE", "title": "Error Title", "status": 400, "detail": "Human-readable description."}Internal server error.
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{ "type": "https://api.layer.ai/errors/ERROR_CODE", "title": "Error Title", "status": 400, "detail": "Human-readable description."}